Subject: Trainer Candidate - BALACHANDRAN S
From: BALACHANDRAN S <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Feb 2021 23:41:19 -0500

| | Tech Support Test

Name | BALACHANDRAN S
E-mail | [email-masked]
Phone Number | (091) 9400474635
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | ALAPPUZHA

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | PATANJALI AYURVED LT | Operastions Manager | |
Previous Employer 1 | Kairali Ford | | |
Previous Employer 2 | Armstech Engineers | | |

If Selected, how much time do you need to join? | 20-30 days
Please briefly describe your work experience specifically in training? | Prolific in client handling and maintaining long term relationships to progressively generate revenue. Successful hands-on experience in administering and managing channel partners to efficiently achieve the sales targets. Enjoys breaking targets and building professional business relations. Seasoned to deliver in dynamic fast paced intense work environment. Confident in taking up challenging roles with my proven track record of successfully working in diverse work profiles.
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes

Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.

Acquiring successful time management skills was one of the biggest challenges I faced as an operations supervisor. It was an aspect to work-life that I underestimated the significance of. Now that I am in workforce management, I continue to use the skills I gained, and I am always trying to improve on them as well.

one of mightiest challenges my first years in management was the volume of work. It was a big change from a supervisor, and standards were also much higher! I tackled this in a few different ways. I looked for opportunities to observe and study other groups with similar tasks, met with senior managers for advice on where to focus my attention, and set up a structured schedule to make sure I was putting in the required time to complete the task at hand
The toughest part of the job is definitely dealing with certain clients. When they give our company representatives a hard time, doing our job becomes tough. On the other hand, when you get a great client and develop a strong relationship with them, it is probably the most rewarding parts of the job

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

Good customer service often centres on delivering or slightly exceeding what customers expect from your company and its solutions. In contrast, exceptional customer service requires that you go above and beyond customer expectations

An exceptional provider either delivers ahead of schedule or includes post-installation training and support to the buyer to ensure a high-quality experience. This type of post-installation support can minimize complaints and product returns.

What according to you makes you a good candidate for this position? | perseverance and patience
On a scale of 1 - 5 please rate your fluency in spoken English | 4

| |